img-gif(3tk)

NAME
img-gif - Graphics Interchange Format (gif)

SYNOPSIS
package require img::gif ?2.1?

DESCRIPTION
package require img::gif

Like all packages of Img it does not provide new commands, but extends the existing Tk command image, so that it supports files containing raster images in the Graphics Interchange Format (gif). More specifically img::gif extends Tk's photo [https://www.tcl.tk/man/tcl9.0/TkCmd/photo.html] image type.

The name of the new format handler is gif. This handler provides new additional configuration options. See section Options for more detailed explanations.

All of the above means that in a call like image create photo ?name? ?options?

[1] Image data in gif format (options -data and -file) is detected automatically.

[2] The format name gif is recognized by the option -format.

In addition the value of option -format is treated as a list and may contain any of the special options listed in section Options.

The package img::gif is not loaded when doing a package require Img, but must be loaded explicitly via package require img::gif.

NOTES

[1] Chapter Multi-page Images of of the Img manual page describes the handling of images with multiple pages.

OPTIONS
The handler provides the following options:

-verbose bool
    This option is supported for reading and writing. Available since version 2.0.

    If set to true, additional information about the read or written image is printed to stdout. Default is false.

-index integer
    This option is supported for reading only. Available since version 1.2.4.

    Read the page at specified index. The first page is at index 0. Default is 0.

SEE ALSO
img, img-bmp, img-dted, img-flir, img-gif, img-ico, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm

COPYRIGHT
Copyright (c) 1995-2025 Jan Nijtmans <nijtmans@users.sourceforge.net>
Copyright (c) 2002-2025 Andreas Kupries <andreas_kupries@users.sourceforge.net>
Copyright (c) 2003-2025 Paul Obermeier <obermeier@users.sourceforge.net>